## com.cyscape.browserhawk
Class DashCacheStats

    java.lang.Object
      com.cyscape.browserhawk.DashCacheStats

    public class DashCacheStats

extends java.lang.Object

Class to expose DashCache statistics.

The DashCache feature is available only in BrowserHawk Professional and Enterprise Edition.

See Also:
  `BrowserHawk.getDashCacheStats()`

Method Summary
`long` | `getAccesses()` Returns the total number of cache requests, including both "hit" and "miss" counts.
`long` | `getCleanCount()` Returns the number of clean operations that have occurred.
`long` | `getCleanInterval()` Returns the minimum interval at which cleans happen, as a number of milliseconds.
`long` | `getCleanTimeout()` Returns the age at which cache entries are removed, as a number of milliseconds.
`boolean` | `getEnabled()` Returns whether the DashCache is currently enabled.
`long` | `getHits()` Returns the number of cache requests that resulted in a "hit" as a cache match.
`long` | `getResetCount()` Returns the number of times the cache has been reset.
`java.util.Date` | `getResetTime()` Returns the time of the last cache reset.
`int` | `getSize()` Returns the current number of entries held within the DashCache.
`int` | `getSizeLimit()` Returns the maximum number of entries the cache will be allowed to hold.
`int` | `getSizePeak()` Returns the maximum number of entries that have been held in the cache since its start time.
`java.util.Date` | `getStartTime()` Returns a timestamp marking the start of the cache.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getEnabled

    public boolean getEnabled()

  Returns whether the DashCache is currently enabled.

### getCleanInterval

    public long getCleanInterval()

  Returns the minimum interval at which cleans happen, as a number of milliseconds.

### getCleanTimeout

    public long getCleanTimeout()

  Returns the age at which cache entries are removed, as a number of milliseconds.

### getSizeLimit

    public int getSizeLimit()

  Returns the maximum number of entries the cache will be allowed to hold.

### getSize

    public int getSize()

  Returns the current number of entries held within the DashCache.

### getStartTime

    public java.util.Date getStartTime()

  Returns a timestamp marking the start of the cache.

### getSizePeak

    public int getSizePeak()

  Returns the maximum number of entries that have been held in the cache since its start time.

### getHits

    public long getHits()

  Returns the number of cache requests that resulted in a "hit" as a cache match.

### getAccesses

    public long getAccesses()

  Returns the total number of cache requests, including both "hit" and "miss" counts. To calculate the "miss" count subtract the "hits" from the "accesses".

### getCleanCount

    public long getCleanCount()

  Returns the number of clean operations that have occurred.

### getResetTime

    public java.util.Date getResetTime()

  Returns the time of the last cache reset. The DashCache is reset when a new data file is loaded.

### getResetCount

    public long getResetCount()

  Returns the number of times the cache has been reset. The DashCache is reset when a new data file is loaded.